Bug 101034 - compiler warnings in same-gnome, glines
compiler warnings in same-gnome, glines
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnome-games (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Jay Turner
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-07-28 14:53 EDT by d.binderman
Modified: 2015-01-07 19:05 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-31 15:36:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-07-28 14:53:04 EDT
Description of problem:
Hello there,

I have just tried to compile package gnome-games-2.2.0-3 from Redhat 9.0
with compiler flag -Wall.

The compiler said

same-gnome.c:609: warning: `return' with no value, in function returning non-void
glines.c:768: warning: `return' with no value, in function returning non-void
glines.c:924: warning: `return' with no value, in function returning non-void


These are clearly run time faults, detected at compile time.  You would
be well advised to fix these faults, to return something sensible to
the caller.




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Ray Strode [halfline] 2005-05-12 11:50:04 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 2 Ray Strode [halfline] 2005-05-31 15:36:39 EDT
Hi,

This bug has been in the NEEDINFO state for at least a couple of weeks now.  I'm
going to close the bug, but if you can provide the required information feel
free to open a new report.

Thanks.

(This is a mass message being sent to a bunch of bug reports)

Note You need to log in before you can comment on or make changes to this bug.